#!/bin/sh
#
# Copyright (c) 2018 Vivotek Inc. All rights reserved.
#
# +-----------------------------------------------------------------+
# | THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY ONLY BE USED |
# | AND COPIED IN ACCORDANCE WITH THE TERMS AND CONDITIONS OF SUCH  |
# | A LICENSE AND WITH THE INCLUSION OF THE THIS COPY RIGHT NOTICE. |
# | THIS SOFTWARE OR ANY OTHER COPIES OF THIS SOFTWARE MAY NOT BE   |
# | PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY OTHER PERSON. THE   |
# | OWNERSHIP AND TITLE OF THIS SOFTWARE IS NOT TRANSFERRED.        |
# |                                                                 |
# | THE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE WITHOUT   |
# | ANY PRIOR NOTICE AND SHOULD NOT BE CONSTRUED AS A COMMITMENT BY |
# | VIVOTEK INC.                                                    |
# +-----------------------------------------------------------------+
#
# Date: 2019-01-11 17:45:14
# Author: Jacko Chang (jacko.chang@vivotek.com)
#

if [ -z "${PKGROOT}" ]; then
	PKGROOT=$(realpath ./)
fi

NAME="Push notification"

V() {
	seq 0 2 | xargs -n1 printf "event_i0_action_custom%d_name\n" | xargs -n1 confclient -p 99 -t Value -g | while read i; do case $i in
		"")
			printf 0
			;;
		"${NAME}")
			printf 1
			;;
		*)
			printf 2
			;;
	esac; done
}

mkcmd()
{
	mkdir -p $(dirname $1)
	cat << EOF > $1
#/bin/sh
PKGROOT=${PKGROOT} LD_LIBRARY_PATH=${PKGROOT}/lib ${PKGROOT}/bin/pushmsg.sh \$*
EOF
	chmod +x $1
}

cd /

ACTION=${1}
case ${ACTION}:$(V) in
	install:1*)
		rm -f /mnt/flash2/unifs/usr/bin/event_custom0
		mkcmd /mnt/flash2/unifs/usr/bin/event_custom0
		;;
	install:[02]1*)
		rm -f /mnt/flash2/unifs/usr/bin/event_custom1
		mkcmd /mnt/flash2/unifs/usr/bin/event_custom1
		;;
	install:[02][02]1)
		rm -f /mnt/flash2/unifs/usr/bin/event_custom2
		mkcmd /mnt/flash2/unifs/usr/bin/event_custom2
		;;
	install:0*)
		confclient -p 99 -s event_i0_action_custom0_name="${NAME}"
		mkcmd /mnt/flash2/unifs/usr/bin/event_custom0
		;;
	install:20*)
		confclient -p 99 -s event_i0_action_custom1_name="${NAME}"
		mkcmd /mnt/flash2/unifs/usr/bin/event_custom1
		;;
	install:220)
		confclient -p 99 -s event_i0_action_custom2_name="${NAME}"
		mkcmd /mnt/flash2/unifs/usr/bin/event_custom2
		;;
	remove:1*)
		confclient -p 99 -s event_i0_action_custom0_enable=0
		confclient -p 99 -s event_i0_action_custom0_name=
		rm -f /mnt/flash2/unifs/usr/bin/event_custom0
		;;
	remove:[02]1*)
		confclient -p 99 -s event_i0_action_custom1_enable=0
		confclient -p 99 -s event_i0_action_custom1_name=
		rm -f /mnt/flash2/unifs/usr/bin/event_custom1
		;;
	remove:[02][02]1)
		confclient -p 99 -s event_i0_action_custom2_enable=0
		confclient -p 99 -s event_i0_action_custom2_name=
		rm -f /mnt/flash2/unifs/usr/bin/event_custom2
		;;
esac

cd -
exit 0

