#!/bin/sh
#
# Copyright (c) 2018 Vivotek Inc. All rights reserved.
#
# +-----------------------------------------------------------------+
# | THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY ONLY BE USED |
# | AND COPIED IN ACCORDANCE WITH THE TERMS AND CONDITIONS OF SUCH  |
# | A LICENSE AND WITH THE INCLUSION OF THE THIS COPY RIGHT NOTICE. |
# | THIS SOFTWARE OR ANY OTHER COPIES OF THIS SOFTWARE MAY NOT BE   |
# | PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY OTHER PERSON. THE   |
# | OWNERSHIP AND TITLE OF THIS SOFTWARE IS NOT TRANSFERRED.        |
# |                                                                 |
# | THE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE WITHOUT   |
# | ANY PRIOR NOTICE AND SHOULD NOT BE CONSTRUED AS A COMMITMENT BY |
# | VIVOTEK INC.                                                    |
# +-----------------------------------------------------------------+
#
# Date: 2019-01-10 15:53:47
# Author: Jacko Chang (jacko.chang@vivotek.com)
#

if [ -z "${PKGROOT}" ]; then
	PKGROOT=$(realpath ./)
fi

mktask() {
	cat << EOF > ${1}
<?xml version="1.0" encoding="ISO-8859-1"?>
<eventmgr version="0102">
	<maxprocess>3</maxprocess>
	<schedule id="0">
		<duration>
			<weekday>0,1,2,3,4,5,6</weekday>
			<time>00:00:00-23:59:59</time>
		</duration>
	</schedule>
	<boot condition="0">
		<status id="0">trigger</status>
	</boot>
	<smartsd condition="1">
		<status id="0">trigger</status>
	</smartsd>
	<event id="0">
		<description>Default boot event</description>
		<scheduleno>0</scheduleno>
		<condition>c0</condition>
		<delay>10</delay>
		<trylater>0</trylater>
		<priority>1</priority>
		<process>${PKGROOT}/bin/pushmsg.sh boot</process>
	</event>
	<event id="1">
		<description>Default smartsd event</description>
		<scheduleno>0</scheduleno>
		<condition>c1</condition>
		<delay>10</delay>
		<trylater>0</trylater>
		<priority>1</priority>
		<process>${PKGROOT}/bin/pushmsg.sh smartsd</process>
	</event>
</eventmgr>
EOF
}

FILE=/etc/conf.d/event/task/cloud_task.xml

cd /

ACTION=${1}
case ${ACTION} in
	install)
		mktask ${FILE}
		;;
	remove)
		rm ${FILE}
		;;
esac

# reload event manager
/etc/init.d/eventmgr reload

cd -
exit 0

